commit: fdc5f34e97671aeabf0b8a79ddb4722ec09e31db
Author: Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 18 13:45:43 2015 +0000
Commit: Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Fri Dec 18 13:46:17 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fdc5f34e
net-misc/csync: fix compilation with gcc-5
Bug #568478 by Toralf Förster <toralf.foerster <AT> gmx.de>
Package-Manager: portage-2.2.26
net-misc/csync/csync-0.50.0.ebuild | 4 +++-
1 file changed, 3 insertions(+), 1 deletion(-)
diff --git a/net-misc/csync/csync-0.50.0.ebuild
b/net-misc/csync/csync-0.50.0.ebuild
index 6031896..15e6dd5 100644
--- a/net-misc/csync/csync-0.50.0.ebuild
+++ b/net-misc/csync/csync-0.50.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -29,6 +29,8 @@ DEPEND="${RDEPEND}
src_prepare() {
cmake-utils_src_prepare
+ sed -e "s/__FUNCTION__/__func__/" -i \
+ src/csync_log.h tests/csync_tests/check_csync_log.c || die
# proper docdir
sed -e "s:/doc/${PN}:/doc/${PF}:" \
-i doc/CMakeLists.txt || die